net.i2p.router.tunnel

## Interface TunnelGateway.Sender

- All Known Implementing Classes:
    InboundSender, OutboundSender
  Enclosing class:
    TunnelGateway

      public static interface TunnelGateway.Sender

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `sendPreprocessed(byte[] preprocessed, TunnelGateway.Receiver receiver)` Take the preprocessed data containing zero or more fragments, encrypt it, and pass it on to the receiver

- - ### Method Detail

    - #### sendPreprocessed

          long sendPreprocessed(byte[] preprocessed,
                              TunnelGateway.Receiver receiver)

      Take the preprocessed data containing zero or more fragments, encrypt it, and pass it on to the receiver
      Parameters:
        `preprocessed` - IV + (rand padding) + 0x0 + Hash[0:3] + {instruction+fragment}*
      Returns:
        message ID it was sent in, or -1 if it was deferred